;;;; -*- mode: lisp-interaction; syntax: elisp; coding: iso-2022-7bit -*-
;;;;
;;;; Copyright (C) 2001 The Meadow Team

;; Author: KOSEKI Yoshinori <kose@meadowy.org>

;; dictionary dir.
(setenv "ISPELLDICTDIR" (expand-file-name "etc/ispell" netinstall-pkg-dir))

;; default dictionary.
(setenv "DICTIONARY" (expand-file-name "etc/ispell/US-xlg.hash" 
				       netinstall-pkg-dir))

;; Alternate dictionary.
(setq ispell-alternate-dictionary
    (expand-file-name "etc/ispell/word" netinstall-pkg-dir))

(setq ispell-local-dictionary-alist
    '((nil				; default (english.aff)
       "[A-Za-z]" "[^A-Za-z]" "[']" nil ("-B") nil iso-8859-1)
      ("UK-xlg"				; english large version
       "[A-Za-z]" "[^A-Za-z]" "[']" nil ("-B" "-d" "UK-xlg") nil iso-8859-1)
      ("US-xlg"				; american large version
       "[A-Za-z]" "[^A-Za-z]" "[']" nil ("-B" "-d" "US-xlg") nil iso-8859-1)))

;; escape Japanese char.
(eval-after-load "ispell"
  '(setq ispell-skip-region-alist (cons '("[^\000-\377]")
					ispell-skip-region-alist)))
;; for `ESC $ (ispell-word)'
(define-key encoded-kbd-mode-map "\e" nil)    ; No iso-2022 handling.

;; end
